Index: c/src/lib/libcpu/sh/sh7032/ChangeLog
===================================================================
--- c/src/lib/libcpu/sh/sh7032/ChangeLog	(revision b1d08322976901e3d5ec7af66d3bf5fb35e687fd)
+++ c/src/lib/libcpu/sh/sh7032/ChangeLog	(revision f6273a005c8ddec05036568f80e4386e4f9ee628)
@@ -1,2 +1,6 @@
+2003-12-01	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Reformat. Use dirstamps for preinstallation.
+
 2003-10-22	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libcpu/sh/sh7032/Makefile.am
===================================================================
--- c/src/lib/libcpu/sh/sh7032/Makefile.am	(revision b1d08322976901e3d5ec7af66d3bf5fb35e687fd)
+++ c/src/lib/libcpu/sh/sh7032/Makefile.am	(revision f6273a005c8ddec05036568f80e4386e4f9ee628)
@@ -15,21 +15,4 @@
 include_sh_HEADERS = include/sci.h include/sh7_pfc.h include/sh7_sci.h
 include_rtems_score_HEADERS = include/ispsh7032.h include/iosh7032.h
-
-$(PROJECT_INCLUDE)/sh:
-	$(mkinstalldirs) $@
-
-$(PROJECT_INCLUDE)/sh/%.h: include/%.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/rtems/score:
-	$(mkinstalldirs) $@
-
-$(PROJECT_INCLUDE)/rtems/score/%.h: include/%.h
-	$(INSTALL_DATA) $< $@
-
-PREINSTALL_FILES = $(PROJECT_INCLUDE)/sh \
-    $(include_sh_HEADERS:include/%.h=$(PROJECT_INCLUDE)/sh/%.h) \
-    $(PROJECT_INCLUDE)/rtems/score \
-    $(include_rtems_score_HEADERS:include/%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
 
 # clock
@@ -102,3 +85,35 @@
 .PRECIOUS: $(PGMS)
 
+PREINSTALL_FILES =
+
+$(PROJECT_INCLUDE)/sh/$(dirstamp):
+	@$(mkinstalldirs) $(PROJECT_INCLUDE)/sh
+	@: > $(PROJECT_INCLUDE)/sh/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/sh/$(dirstamp)
+
+$(PROJECT_INCLUDE)/rtems/score/$(dirstamp):
+	@$(mkinstalldirs) $(PROJECT_INCLUDE)/rtems/score
+	@: > $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+
+$(PROJECT_INCLUDE)/sh/sci.h: include/sci.h $(PROJECT_INCLUDE)/sh/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/sh/sci.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/sh/sci.h
+
+$(PROJECT_INCLUDE)/sh/sh7_pfc.h: include/sh7_pfc.h $(PROJECT_INCLUDE)/sh/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/sh/sh7_pfc.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/sh/sh7_pfc.h
+
+$(PROJECT_INCLUDE)/sh/sh7_sci.h: include/sh7_sci.h $(PROJECT_INCLUDE)/sh/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/sh/sh7_sci.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/sh/sh7_sci.h
+
+$(PROJECT_INCLUDE)/rtems/score/ispsh7032.h: include/ispsh7032.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/ispsh7032.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/ispsh7032.h
+
+$(PROJECT_INCLUDE)/rtems/score/iosh7032.h: include/iosh7032.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/iosh7032.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/iosh7032.h
+
 include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libcpu/sh/sh7045/ChangeLog
===================================================================
--- c/src/lib/libcpu/sh/sh7045/ChangeLog	(revision b1d08322976901e3d5ec7af66d3bf5fb35e687fd)
+++ c/src/lib/libcpu/sh/sh7045/ChangeLog	(revision f6273a005c8ddec05036568f80e4386e4f9ee628)
@@ -1,2 +1,6 @@
+2003-12-01	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Reformat. Use dirstamps for preinstallation.
+
 2003-10-22	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libcpu/sh/sh7045/Makefile.am
===================================================================
--- c/src/lib/libcpu/sh/sh7045/Makefile.am	(revision b1d08322976901e3d5ec7af66d3bf5fb35e687fd)
+++ c/src/lib/libcpu/sh/sh7045/Makefile.am	(revision f6273a005c8ddec05036568f80e4386e4f9ee628)
@@ -16,21 +16,4 @@
     include/sh7_sci.h include/sci_termios.h
 include_rtems_score_HEADERS = include/ispsh7045.h include/iosh7045.h
-
-$(PROJECT_INCLUDE)/sh:
-	$(mkinstalldirs) $@
-
-$(PROJECT_INCLUDE)/sh/%.h: include/%.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/rtems/score:
-	$(mkinstalldirs) $@
-
-$(PROJECT_INCLUDE)/rtems/score/%.h: include/%.h
-	$(INSTALL_DATA) $< $@
-
-PREINSTALL_FILES = $(PROJECT_INCLUDE)/sh \
-    $(include_sh_HEADERS:include/%=$(PROJECT_INCLUDE)/sh/%) \
-    $(PROJECT_INCLUDE)/rtems/score \
-    $(include_rtems_score_HEADERS:include/%=$(PROJECT_INCLUDE)/rtems/score/%)
 
 # clock
@@ -90,3 +73,43 @@
 .PRECIOUS: $(PGMS)
 
+PREINSTALL_FILES =
+
+$(PROJECT_INCLUDE)/sh/$(dirstamp):
+	@$(mkinstalldirs) $(PROJECT_INCLUDE)/sh
+	@: > $(PROJECT_INCLUDE)/sh/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/sh/$(dirstamp)
+
+$(PROJECT_INCLUDE)/rtems/score/$(dirstamp):
+	@$(mkinstalldirs) $(PROJECT_INCLUDE)/rtems/score
+	@: > $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+
+$(PROJECT_INCLUDE)/sh/io_types.h: include/io_types.h $(PROJECT_INCLUDE)/sh/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/sh/io_types.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/sh/io_types.h
+
+$(PROJECT_INCLUDE)/sh/sci.h: include/sci.h $(PROJECT_INCLUDE)/sh/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/sh/sci.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/sh/sci.h
+
+$(PROJECT_INCLUDE)/sh/sh7_pfc.h: include/sh7_pfc.h $(PROJECT_INCLUDE)/sh/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/sh/sh7_pfc.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/sh/sh7_pfc.h
+
+$(PROJECT_INCLUDE)/sh/sh7_sci.h: include/sh7_sci.h $(PROJECT_INCLUDE)/sh/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/sh/sh7_sci.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/sh/sh7_sci.h
+
+$(PROJECT_INCLUDE)/sh/sci_termios.h: include/sci_termios.h $(PROJECT_INCLUDE)/sh/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/sh/sci_termios.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/sh/sci_termios.h
+
+$(PROJECT_INCLUDE)/rtems/score/ispsh7045.h: include/ispsh7045.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/ispsh7045.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/ispsh7045.h
+
+$(PROJECT_INCLUDE)/rtems/score/iosh7045.h: include/iosh7045.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/iosh7045.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/iosh7045.h
+
 include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libcpu/sh/sh7750/ChangeLog
===================================================================
--- c/src/lib/libcpu/sh/sh7750/ChangeLog	(revision b1d08322976901e3d5ec7af66d3bf5fb35e687fd)
+++ c/src/lib/libcpu/sh/sh7750/ChangeLog	(revision f6273a005c8ddec05036568f80e4386e4f9ee628)
@@ -1,2 +1,6 @@
+2003-12-01	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Reformat. Use dirstamps for preinstallation.
+
 2003-10-22	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libcpu/sh/sh7750/Makefile.am
===================================================================
--- c/src/lib/libcpu/sh/sh7750/Makefile.am	(revision b1d08322976901e3d5ec7af66d3bf5fb35e687fd)
+++ c/src/lib/libcpu/sh/sh7750/Makefile.am	(revision f6273a005c8ddec05036568f80e4386e4f9ee628)
@@ -14,25 +14,7 @@
 
 include_sh_HEADERS = include/sh/sh4uart.h
-include_rtems_score_HEADERS = \
-include/rtems/score/sh7750_regs.h \
-include/rtems/score/ipl.h \
-include/rtems/score/iosh7750.h \
-include/rtems/score/ispsh7750.h \
-include/rtems/score/sh4_regs.h
-
-$(PROJECT_INCLUDE)/sh:
-	$(mkinstalldirs) $@
-
-$(PROJECT_INCLUDE)/rtems/score:
-	$(mkinstalldirs) $@
-
-$(PROJECT_INCLUDE)/%.h: include/%.h
-	$(INSTALL_DATA) $< $@
-
-PREINSTALL_FILES = \
-    $(PROJECT_INCLUDE)/sh \
-    $(include_sh_HEADERS:include/%=$(PROJECT_INCLUDE)/%) \
-    $(PROJECT_INCLUDE)/rtems/score \
-    $(include_rtems_score_HEADERS:include/%=$(PROJECT_INCLUDE)/%)
+include_rtems_score_HEADERS = include/rtems/score/sh7750_regs.h \
+    include/rtems/score/ipl.h include/rtems/score/iosh7750.h \
+    include/rtems/score/ispsh7750.h include/rtems/score/sh4_regs.h
 
 all-local: $(TMPINSTALL_FILES)
@@ -96,3 +78,39 @@
 .PRECIOUS: $(PGMS)
 
+PREINSTALL_FILES =
+
+$(PROJECT_INCLUDE)/sh/$(dirstamp):
+	@$(mkinstalldirs) $(PROJECT_INCLUDE)/sh
+	@: > $(PROJECT_INCLUDE)/sh/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/sh/$(dirstamp)
+
+$(PROJECT_INCLUDE)/rtems/score/$(dirstamp):
+	@$(mkinstalldirs) $(PROJECT_INCLUDE)/rtems/score
+	@: > $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+
+$(PROJECT_INCLUDE)/sh/sh4uart.h: include/sh/sh4uart.h $(PROJECT_INCLUDE)/sh/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/sh/sh4uart.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/sh/sh4uart.h
+
+$(PROJECT_INCLUDE)/rtems/score/sh7750_regs.h: include/rtems/score/sh7750_regs.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/sh7750_regs.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/sh7750_regs.h
+
+$(PROJECT_INCLUDE)/rtems/score/ipl.h: include/rtems/score/ipl.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/ipl.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/ipl.h
+
+$(PROJECT_INCLUDE)/rtems/score/iosh7750.h: include/rtems/score/iosh7750.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/iosh7750.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/iosh7750.h
+
+$(PROJECT_INCLUDE)/rtems/score/ispsh7750.h: include/rtems/score/ispsh7750.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/ispsh7750.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/ispsh7750.h
+
+$(PROJECT_INCLUDE)/rtems/score/sh4_regs.h: include/rtems/score/sh4_regs.h $(PROJECT_INCLUDE)/rtems/score/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/score/sh4_regs.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score/sh4_regs.h
+
 include $(top_srcdir)/../../../../automake/local.am
